package ink.wgink.service.core.service.manage;

import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.dtos.department.DepartmentDTO;
import ink.wgink.pojo.dtos.user.UserDTO;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: ICoreManageService
 * @Description: 核心管理
 * @Author: wanggeng
 * @Date: 2022/8/10 16:28
 * @Version: 1.0
 */
public interface ICoreManageService {

    /**
     * 组织部门导航列表
     *
     * @param departmentId
     * @return
     */
    List<DepartmentDTO> listDepartmentNavPathByDepartmentId(String departmentId);

    /**
     * 用户列表
     *
     * @return
     */
    List<UserDTO> listUser(Map<String, Object> params);

    /**
     * 组织部门用户列表
     *
     * @param departmentId
     * @param page
     * @return
     */
    SuccessResultList<List<UserDTO>> listPageUserByDepartmentId(String departmentId, ListPage page);
}
